Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class BarCodeAttributesFactory

    java.lang.Object
      com.aspose.barcode.jr.BarCodeAttributesFactory

    public class BarCodeAttributesFactory

extends java.lang.Object

A simple factory to produce BarCodeAttributes bean, you can implement your own facotry class if need.
<image hAlign="Center">
<reportElement x="0" y="100" width="500" height="250" />
<imageExpression class="net.sf.jasperreports.engine.JRRenderable">
<![CDATA[new com.aspose.barcode.jr.BarCodeRenderer(com.aspose.barcode.jr.BarCodeAttributesFactory.Create("abcdefg","DataMatrix",java.awt.Color.RED))]]>
</imageExpression>
</image>

Constructor Summary
`BarCodeAttributesFactory()`

Method Summary
`static BarCodeAttributes` | `Create(java.lang.String text, java.lang.String symbology)` Using the given text and symbology to create a BarCodeAttributes bean
`static BarCodeAttributes` | `Create(java.lang.String text, java.lang.String symbology, java.awt.Color foreColor)` Using the given text,symbology and color to create a BarCodeAttributes bean
`static BarCodeAttributes` | `CreateCode128(java.lang.String text, int codeSet)` Using the given text and codeset to create a BarCodeAttributes bean for rendering Code128 barcode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarCodeAttributesFactory

    public BarCodeAttributesFactory()

Method Detail

### Create

    public static BarCodeAttributes Create(java.lang.String text,
                                           java.lang.String symbology)

  Using the given text and symbology to create a BarCodeAttributes bean

  Parameters:
    `text` - the CodeText
    `symbology` - The Symbology
  Returns:
    the BarCodeAttributes bean instance

### Create

    public static BarCodeAttributes Create(java.lang.String text,
                                           java.lang.String symbology,
                                           java.awt.Color foreColor)

  Using the given text,symbology and color to create a BarCodeAttributes bean

  Parameters:
    `text` - the CodeText
    `symbology` - The Symbology
    `foreColor` - the forecolor of the barcode image
  Returns:
    the BarCodeAttributes bean instance

### CreateCode128

    public static BarCodeAttributes CreateCode128(java.lang.String text,
                                                  int codeSet)

  Using the given text and codeset to create a BarCodeAttributes bean for rendering Code128 barcode

  Parameters:
    `text` - the CodeText
    `codeSet` - int value represents Code128Codeset
  Returns:
    the BarCodeAttributes bean instance

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD